Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wutka.dtd
Class DTDProcessingInstruction

    java.lang.Object
      |
      +--com.wutka.dtd.DTDProcessingInstruction

All Implemented Interfaces:
  DTDOutput

public class DTDProcessingInstruction
extends Object
implements DTDOutput

Represents a processing instruction in the DTD

Version:
  $Revision: 1.12 $ $Date: 2000/09/01 13:21:05 $ by $Author: wutka $
Author:
  Mark Wutka

Field Summary
`String` | `text` The processing instruction text

Constructor Summary
`DTDProcessingInstruction()`
`DTDProcessingInstruction(String theText)`

Method Summary
`boolean` | `equals(Object ob)`
`String` | `getText()` Retrieves the instruction text
`void` | `setText(String theText)` Sets the instruction text
`String` | `toString()`
`void` | `write(PrintWriter out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### text

    public String text

  The processing instruction text

Constructor Detail

### DTDProcessingInstruction

    public DTDProcessingInstruction()

### DTDProcessingInstruction

    public DTDProcessingInstruction(String theText)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### write

    public void write(PrintWriter out)
               throws IOException

  Specified by:
    `write` in interface `DTDOutput`

### equals

    public boolean equals(Object ob)

  Overrides:
    `equals` in class `Object`

### setText

    public void setText(String theText)

  Sets the instruction text

### getText

    public String getText()

  Retrieves the instruction text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD